import os

import streamlit as st  
import pandas as pd

import streamlit.components.v1 as components

# Create a _RELEASE constant. We'll set this to False while we're developing
# the component, and True when we're ready to package and distribute it.
_RELEASE = False
if not _RELEASE:
    _table_update_create_scenario = components.declare_component(
        "table_update_create_scenario",
        url="http://localhost:3001",
    )
else:
    parent_dir = os.path.dirname(os.path.abspath(__file__))
    build_dir = os.path.join(parent_dir, "frontend/build")
    _table_update_create_scenario = components.declare_component("table_update_create_scenario", path=build_dir)


def table_update_create_scenario(key=None,data=None,shape=None ,scenarios=None,package_list=None ,active_scenario=None,version=None,message=None,timeframe=None):
    return _table_update_create_scenario(key=key, data=data ,shape=shape,scenarios=scenarios,package_list=package_list,active_scenario=active_scenario,version=version,message=message,timeframe=timeframe)

def are_dicts_equal(dict1, dict2):
    # Check if both dictionaries have the same keys
    if type(dict2) != dict:
        return False
    if set(dict1.keys()) != set(dict2.keys()):
        return False
    
    # Check if the values for each key are equal
    for key in dict1:
        if dict1[key] != dict2[key]:
            return False
    return True

# Test code to play with the component while it's in development.
# During development, we can run this just as we would any other Streamlit
# app: `$ streamlit run custom_dataframe/__init__.py`
if not _RELEASE:
    shape = {
        "width": "100%",
        "height": "300px"
    }
    package_list={'ssd_cans_7.5z_10pk_3ct': ['optimization1', 'optimization2', 'optimization3'], 'ssd_cans_7.5z_6pk_4ct': ['optimization1', 'optimization2', 'optimization3'], 'ssd_cans_core_12z_12pk_2ct': ['optimization1'], 'ssd_nr_.5l_6pk_4ct': ['optimization1', 'optimization2', 'optimization3']}
    data ={'Period': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52], 'ssd_cans_7.5z_10pk_3ct': ['EDV', 'edv', 'p1', 'p1', 'p1', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv'], 'ssd_cans_7.5z_10pk_3ct_multiple': ["{'EDV': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}"], 'ssd_cans_7.5z_10pk_3ct_count': ["[{'index': 'event_freq', 'edv': 42, 'p1': 10,'P1_A':1,'holiday':0, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]"], 'month': ['Jan', 'Jan', 'Jan', 'Jan', 'Feb', 'Feb', 'Feb', 'Feb', 'Mar', 'Mar', 'Mar', 'Mar', 'Mar', 'Apr', 'Apr', 'Apr', 'Apr', 'May', 'May', 'May', 'May', 'Jun', 'Jun', 'Jun', 'Jun', 'Jun', 'Jul', 'Jul', 'Jul', 'Jul', 'Aug', 'Aug', 'Aug', 'Aug', 'Sep', 'Sep', 'Sep', 'Sep', 'Sep', 'Oct', 'Oct', 'Oct', 'Oct', 'Nov', 'Nov', 'Nov', 'Nov', 'Dec', 'Dec', 'Dec', 'Dec', 'Dec'], 'ssd_cans_7.5z_6pk_4ct': ['edv', 'p2', 'p1', 'p1', 'p1', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1'], 'ssd_cans_7.5z_6pk_4ct_multiple': ["{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}"], 'ssd_cans_7.5z_6pk_4ct_count': ["[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]"], 'ssd_cans_core_12z_12pk_2ct': ['p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1'], 'ssd_cans_core_12z_12pk_2ct_multiple': ["{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}"], 'ssd_cans_core_12z_12pk_2ct_count': ["[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]"], 'ssd_nr_.5l_6pk_4ct': ['p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2'], 'ssd_nr_.5l_6pk_4ct_multiple': ["{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}"], 'ssd_nr_.5l_6pk_4ct_count': ["[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]"]}
    active_scenario = {'ssd_cans_7.5z_10pk_3ct': 'optimization1', 'ssd_cans_7.5z_6pk_4ct':  
    'optimization3', 'ssd_cans_core_12z_12pk_2ct': 'optimization1', 'ssd_nr_.5l_6pk_4ct': 'optimization3'}
    version = {"Volume": "false", "Promotion": "true", "RetailPrice": "false", "version": "Promotion"}
    message=""
    timeframe="Q1"
    if "data" not in st.session_state:
        st.session_state.data=data
    if "message" not in st.session_state:
        st.session_state.message=message
    df = table_update_create_scenario(data=st.session_state.data,shape= shape,package_list=package_list ,active_scenario=active_scenario,version=version,message=st.session_state.message,timeframe=timeframe)
    st.write(df)
    if "condition" not in st.session_state:
        st.session_state.condition=df
    if df != None and not are_dicts_equal(df,st.session_state.condition):
        st.write(df)
        data ={'Period': [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52], 'ssd_cans_7.5z_10pk_3ct': ['edv', 'edv', 'p1', 'p1', 'p1', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv', 'edv', 'edv', 'edv', 'edv', 'p1', 'edv', 'edv'], 'ssd_cans_7.5z_10pk_3ct_multiple': ["{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}", "{'edv': '', 'p1': '2 for'}"], 'ssd_cans_7.5z_10pk_3ct_count': ["[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 42, 'p1': 10, 'label': 'Event Frequency (Wks)'}]"], 'month': ['Jan', 'Jan', 'Jan', 'Jan', 'Feb', 'Feb', 'Feb', 'Feb', 'Mar', 'Mar', 'Mar', 'Mar', 'Mar', 'Apr', 'Apr', 'Apr', 'Apr', 'May', 'May', 'May', 'May', 'Jun', 'Jun', 'Jun', 'Jun', 'Jun', 'Jul', 'Jul', 'Jul', 'Jul', 'Aug', 'Aug', 'Aug', 'Aug', 'Sep', 'Sep', 'Sep', 'Sep', 'Sep', 'Oct', 'Oct', 'Oct', 'Oct', 'Nov', 'Nov', 'Nov', 'Nov', 'Dec', 'Dec', 'Dec', 'Dec', 'Dec'], 'ssd_cans_7.5z_6pk_4ct': ['edv', 'p2', 'p1', 'p1', 'p1', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p2', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1', 'edv', 'edv', 'p1', 'p1', 'edv', 'edv', 'p1'], 'ssd_cans_7.5z_6pk_4ct_multiple': ["{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}", "{'edv': '', 'p1': '2 for', 'p2': 'B2G1'}"], 'ssd_cans_7.5z_6pk_4ct_count': ["[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 27, 'p1': 20, 'p2': 5, 'label': 'Event Frequency (Wks)'}]"], 'ssd_cans_core_12z_12pk_2ct': ['p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1', 'p1', 'p2', 'p1'], 'ssd_cans_core_12z_12pk_2ct_multiple': ["{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}", "{'p1': 'WYB3', 'p2': 'WYB4'}"], 'ssd_cans_core_12z_12pk_2ct_count': ["[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'p1': 17, 'label': 'Event Frequency (Wks)'}]"], 'ssd_nr_.5l_6pk_4ct': ['p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p1', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2', 'p2'], 'ssd_nr_.5l_6pk_4ct_multiple': ["{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}", "{'p1': '3 for', 'p2': '4 for'}"], 'ssd_nr_.5l_6pk_4ct_count': ["[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]", "[{'index': 'event_freq', 'edv': 35, 'shoulder': 9, 'holiday': 8, 'label': 'Event Frequency (Wks)'}]"]}
        st.session_state.condition=df
        st.session_state.data=data
        st.session_state.message="scenario is updated/created"
        #st.experimental_rerun()
   